SQLite3::createFunction
SQLite3::exec
SQLite3
PHP Manual

# SQLite3::escapeString

(PHP 5 >= 5.3.0)

SQLite3::escapeString — Gibt eine passend maskierte Zeichenkette zurück

### Beschreibung

public string SQLite3::escapeString ( string `$value` )

Gibt eine Zeichenkette zurück, die für eine sichere Einbindung in die SQL-Anfrage passend maskiert wurde.

### Parameter-Liste

`value`

  Die maskierte Zeichenkette.

### Rückgabewerte

Gibt eine passend maskierte Zeichenkette zurück, welche ohne Bedenken in einer SQL-Anfrage benutzt werden kann.

### Anmerkungen

Warnung

Die Funktion addslashes() sollte NICHT genutzt werden, um eine Zeichenkette für den Gebrauch in einer SQL-Anfrage zu maskieren; dies kann bei der Datenabfrage zu unvorhersehbaren Resultaten führen.

SQLite3::createFunction
SQLite3::exec
SQLite3
PHP Manual